import { createApp } from 'vue'
import router from './router/index'
import App from './App.vue'

import './style.css'
import 'virtual:uno.css'

import 'vant/es/toast/style';
import 'vant/es/dialog/style';
import 'vant/es/notify/style';
import 'vant/es/image-preview/style';

// import { urlParams } from '~/utils/utils'

// import VConsole from 'vconsole'
// new VConsole()

// const search = new URLSearchParams(location.search)
// if (search.get('debug') || urlParams?.debug) {
//   new VConsole()
// }

const app = createApp(App)

app.use(router)
app.mount('#app')
